/*
 *  CDEmuD: error handling
 *  Copyright (C) 2006-2007 Rok Mandeljc
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __CDEMUD_ERROR_H__
#define __CDEMUD_ERROR_H__

#define CDEMUD_ERROR cdemud_error_quark()

/* Error codes */
enum {
    CDEMUD_E_OBJISNULL          = 0xDEAD100,
    CDEMUD_E_OBJDISPOSED        = 0xDEAD101,
    CDEMUD_E_INVALIDOBJ         = 0xDEAD102,
    CDEMUD_E_OBJNOTINIT         = 0xDEAD103,
    
    CDEMUD_E_INVALIDARG         = 0xDEAD110,
    
    CDEMUD_E_ATTROPEN           = 0xDEAD120,
    CDEMUD_E_ATTRREAD           = 0xDEAD121,
    CDEMUD_E_ATTRWRITE          = 0xDEAD122,
    
    CDEMUD_E_NODRIVER           = 0xDEAD130,
    CDEMUD_E_NODEVICES          = 0xDEAD131,
    
    CDEMUD_E_DEVICEINITFAILED   = 0xDEAD140,
    
    CDEMUD_E_DBUSCONNECT        = 0xDEAD150,
    CDEMUD_E_DBUSNAMEREQUEST    = 0xDEAD151,
    
    CDEMUD_E_INVALIDDEVICE      = 0xDEAD160,
    
    CDEMUD_E_AUDIOBACKEND       = 0xDEAD170,
    CDEMUD_E_AUDIOINVALIDSTATE  = 0xDEAD171,
    
    CDEMUD_E_CTLDEVICE          = 0xDEAD180,
    CDEMUD_E_BUFFER             = 0xDEAD181,
    CDEMUD_E_ALREADYLOADED      = 0xDEAD182,
    CDEMUD_E_DEVLOCKED          = 0xDEAD183,    
    
    CDEMUD_E_GENERIC            = 0xDEADFFF,
};

#include <glib.h>

GQuark  cdemud_error_quark  (void);
void    cdemud_error        (gint errcode, GError **error);

#endif /* __CDEMUD_ERROR_H__ */
